#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,k;
    scanf("%i%i",&n,&k);
    int nn[n];
    for(int i=0;i<n;i++)
    {
        scanf("%i",&nn[i]);
    }
    for(int i=0;i<n;i++)
    {
        if((i==n-1)&&(nn[i]==k))
        {
            printf("%i",nn[0]);
        }
        else
        {
            if(nn[i]==k)
            {
                printf("%i",nn[i+1]);
            }
        }
    }
    return 0;
}